Show / Hide Table of Contents

# Enum ScanType

The type of scan to perform with a signature.

###### Namespace: Dalamud.Utility.Signatures

###### Assembly: Dalamud.dll

##### Syntax

    public enum ScanType

### Fields

Name | Description
--- | ---
StaticAddress | Scans the text section of the executable in order to find a data section address. Uses TryGetStaticAddressFromSig(String, out IntPtr, Int32).
Text | Scan the text section of the executable. Uses TryScanText(String, out IntPtr).

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()